jQuery(document).ready(function ($) {

  if ($('.upload_area').length) {
    // Copy URL from media uploader
    var custom_uploader;
    $('.upload_area').on('click', '.file_url_link, .no_image', (function (e) {

      var button_click = $(this);

      if ($(button_click).attr('readonly')) {
        return false;
      }

      e.preventDefault();

      custom_uploader = wp.media.frames.file_frame = wp.media({
        title: 'Choose Banner',
        button: {
          text: 'Choose Banner'
        },
        multiple: true
      });

      //When a file is selected, grab the URL and set it as the text field's value
      custom_uploader.on('select', function () {
        attachment = custom_uploader.state().get('selection').first().toJSON();
        console.log(attachment);
        button_click.closest('.upload_area .single_upload').find('.file_url_link').val(attachment.url);
        button_click.closest('.upload_area .single_upload').find('.file_description').val(attachment.title);
        button_click.closest('.upload_area .single_upload').find('.no_image').html("<img width=120 height=100 src=" + attachment.url + ">");

      });
      //Open the uploader dialog
      custom_uploader.open();

    }));

    $('.add_new_upload, .add_new_script').on('click', function (e) {

      if ($(this).data('item') == 'add_new_upload') {
        var content_ = content_fn_upload();
      }
      else if ($(this).data('item') == 'add_new_script') {
        var content_ = content_fn_script();
      }
      else {
        var content_ = content_fn_upload();
      }

      var flag = 'no';

      $('.upload_area .file_url_link').each(function () {
        if ($(this).val().length == 0) {
          flag = 'yes';
        }
      });

      // Restrict to add multiple with out filling the previously added form
      if (flag == 'yes') {
        bc_rb_alert('There is already an empty field, Please fill that', 'warning');
        flag = 'no';
        return false;
      }

      // Restrict to add new form with out saving the previously added form
      if ($('.upload_area .bc_rb_button_save').length != 0) {
        bc_rb_alert('Please save previously added banner', 'warning');
        return false;
      }
      //console.log(moment().format('YYYYMMDD'));
      if ($('.single_upload').length >= 5 && ( $('.upload_area').data('payment_info') == 'no') || ($('.upload_area').data('payment_info') < moment().format('YYYYMMDD'))) {
        // Check for more than five to show donation popup
        var display_name = $(this).closest('.bc_random_banner').data('display_name');
        paypal_donation_popup(display_name.toUpperCase());
        $('.sweet-alert select').trigger('change');
        return false;
      }

      if ($('.upload_area').find('.single_upload')) {
        $('.upload_area').prepend(content_);
      } else {
        $('.upload_area').append().html(content_);
      }
      e.preventDefault();

    });

    // Edit to change text
    $('.upload_area').on('click', '.bc_rb_button_edit', function (e) {
      var btn = $(this);
      var closest = btn.closest('form');
      if ($('.upload_area .bc_rb_button_save').length != 0) {
        bc_rb_alert('Please save previously added banner', 'warning');
        return false;
      }
      if ($(closest).has('textarea').length) {
        swal({
          title: "Are you sure?",
          text: "This action will clear the previous code in Textarea",
          type: "warning",
          showCancelButton: true,
          confirmButtonColor: "#DD6B55",
          confirmButtonText: "Yes, I have a new code",
          closeOnConfirm: true
        }, function () {
          closest.find('.file_url_link_textarea').text('').removeAttr('readonly');
          closest.find('.bc_rb_button_edit').text('Save');
          closest.find('.bc_rb_button_edit').addClass('bc_rb_button_save').removeClass('bc_rb_button_edit');
        });
      } else {
        closest.find('.bc_rb_button_edit').text('Save');
        closest.find('input[type=text]').removeAttr('readonly');
        closest.find('.no_image').removeAttr('readonly');
        closest.find('.bc_rb_button_edit').addClass('bc_rb_button_save').removeClass('bc_rb_button_edit');
      }

      e.preventDefault();
    });

    // Send AJAX request to save
    $('.upload_area').on('click', '.bc_rb_button_save', function (e) {
      var btn = $(this);
      var closest = btn.closest('.single_upload form');
      var url = $('.upload_area').data('url');

      if (closest.find('textarea[name=file_url_link]').val() == '') {
        console.log('a');
        swal('Script Field Missing', 'Please add Script to save the banner', 'warning');
        return false;
      }
      if (closest.find('input[name=file_url_link]').val() == '') {
        swal('Upload Image Missing', 'Please add image to save the banner', 'warning');
        console.log('b');
        return false;
      }

      $('.spinner_circle').removeClass('hide');
      $.ajax({
        type: 'POST',
        url: url,
        data: closest.serialize(),
        success: function (result) {
          $('.spinner_circle').addClass('hide');
          var results = JSON.parse(result);
          if (results.error) {
            bc_rb_alert(results.error, results.type);
          } else {
            $('.upload_area').html(results.content);
            bc_rb_alert(results.message, results.type);
          }
        },
        error: function (results) {
          console.log('no' + results);
        }

      });

      e.preventDefault();
    });

    // Delete Locally
    $('.upload_area').on('click', '.bc_rb_button_delete', function (e) {
      var btn = $(this);
      btn.closest('.single_upload').remove();
      e.preventDefault();
    });

    // Delete in DB
    $('.upload_area').on('click', '.bc_rb_button_delete_by_id', function (e) {
      var btn = $(this);
      var closest = btn.closest('.single_upload form');
      var url = $('.upload_area').data('delete');
      swal({
        title: "Are you sure?",
        text: "You want to delete this Banner?",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "Yes Delete it",
        closeOnConfirm: false
      }, function () {
        $('.spinner_circle').removeClass('hide');
        $.ajax({
          type: 'POST',
          url: url,
          data: closest.serialize(),
          success: function (result) {
            $('.spinner_circle').addClass('hide');
            var results = JSON.parse(result);
            if (results.error) {
              bc_rb_alert(results.error, results.type);
            } else {
              bc_rb_alert(results.message, results.type);
              btn.closest('.single_upload').remove();
            }
          },
          error: function (results) {
            console.log('no' + results);
          }
        });
      });


      e.preventDefault();
    });

  }

  // PayPal Donation Button Click
  $('body').on('click', '.sweet-alert .donate_now', function (e) {
    $('body .spinner_circle').removeClass('hide');
  });
  $('body').on('change', '.sweet-alert select', function () {
    var selected = $(this);
    selected.closest('.process_paypal_form').find('.bc_rb_paypal_amount_message').html(selected.find(":selected").data('message'));
    console.log(selected.find(":selected").data('message'));
  });

  //Remind Me Later Button Click
  $('body').on('click', '.donate_later', function () {
      var url = $('.bc_random_banner .upload_area').data('donation_later');
      $.ajax({
        url: url,
        data: {},
        type: 'POST',
        success: function () {
          location.reload(true);
        }
      });
  });

// Popup on PayPal Button Click
  if ($('.paypal_donation_button').length) {
    $('.bc_random_banner').on('click', '.paypal_donation_button', function () {
      var display_name = $(this).closest('.bc_random_banner').data('display_name');
      paypal_donation_popup(display_name.toUpperCase());
      $('.sweet-alert select').trigger('change');
    });
  }

  if($('.bc_rb_option_save').length){
    $('.bc_random_banner').on('click','.bc_rb_option_save',function(e){
      var option = $(this).closest('form');
      var data = option.serialize();
      var url = option.data('save')
      console.log(url + ' ' + data);
      $.ajax({
        type:'POST',
        url:url,
        data:data,
        success:function(results){
          console.log(results);
          if(results == 'ok'){
            bc_rb_alert('Options saved Successfully','success');
          } else {
            bc_rb_alert('Something went wrong, kindly reload the page and try','error');
          }
        }

      });
      e.preventDefault();
    });
  }

});

function content_fn_upload() {

  $content = '<div class="row single_upload">' +
      '<form>' +
      '<div class="col-md-2">' +
      '<div class="col-md-12 padding_bottom_20">' +
      '<div class="no_image"><span class="glyphicon glyphicon-upload  btn-lg"></span> </div> </div> </div> <div class="col-md-8"> <div class="col-md-6 padding_bottom_10"> <input type="hidden" name="banner_type" value="upload" /> <input type="text" name="file_url_link" class="form-control file_url_link" placeholder="Upload Image"/> </div> <div class="col-md-6"> <input type="text" name="file_description" class="form-control file_description" placeholder="File Description"/> </div> <div class="col-md-12 padding_top_10 padding_bottom_10"> <input type="text" name="external_link" class="bc_rb_external_link form-control" placeholder="External Link" /> </div> </div> <div class="col-md-2"> <div class="col-md-12"> <button class="btn btn-primary bc_rb_button_save">Save</button> </div> <div class="col-md-12 padding_top_20"> <button class="btn btn-danger bc_rb_button_delete">Delete</button></div> </div></form></div>';

  return $content;
}

function content_fn_script() {
  $content = '<div class="row single_upload">' +
      '<form>' +
      '<div class="col-md-10"><input type="hidden" name="banner_type" value="script" /><textarea name="file_url_link" class="file_url_link_textarea form-control" rows="5" placeholder="Please paste the code here"></textarea> </div> <div class="col-md-2"> <div class="col-md-12"> <button class="btn btn-primary bc_rb_button_save">Save</button> </div> <div class="col-md-12 padding_top_20"> <button class="btn btn-danger bc_rb_button_delete">Delete</button></div> </div></form></div>';

  return $content;
}

function bc_rb_alert(message, type) {
  swal({
    title: message,
    type: type,
    closeOnConfirm: false
  });
}

function paypal_donation_popup(display_name) {
  swal({
    title: "Please Donate!",
    text: "<h2>Hi! " + (display_name) + "</h2> <div class='bc_rb_donation_content'>We put lot of efforts and time to develop this plugin, small amount will help us to continue enhance on this plugin</div>" +
    "<form class='process_paypal_form' method='post' action='http://ifecho.com/api/random_banner/process_paypal'>" +
    "<input type='text' name='redirect_url' value=" + window.location.href + " /> " +
    "<input type='text' name='domain' value=" + window.location.host + " /> " +
    "<input type='text' name='payment_info' value=" + vardata.payment_info + " /> " +
    "<input type='text' name='plugin_name' value='Random Banner' /> " +
    "<br>" +
    "<select name='bc_rb_paypal_amount' class='bc_rb_paypal_amount'>" +
    "<option value='5' data-message='Thanks for your Donation'>$5</option>" +
    "<option value='10' data-message='Helps us to develop Customize size banner' selected>$10</option>" +
    "<option value='20' data-message='Helps us to develop Grouped banners' >$20</option>" +
    "<option value='50' data-message='Helps us to develop Statistic for view and click' >$50</option>" +
    "<option value='100' data-message='Helps us to optimize and introduce new options' >$100</option>" +
    "</select><br><div class='bc_rb_paypal_amount_message'></div>" +
    "<button type='reset' name='donate_later' class='donate_later'>Donate Later!</button> <button type='submit' name='donate_now' class='donate_now'>Donate Now!</button></form>",
    html: true,
    imageUrl: vardata.plugin_url + "/assets/images/paypal.png",
    showConfirmButton: false,
    imageSize: '200x114',
    showLoaderOnConfirm: true
  });
}