<?php

if ( ! defined( 'ABSPATH' ) ) {
  die( '-1' );
}

/**
 * Fetch value from Database and output the data to view
 * @param $db_status
 * @param $message
 */
function populate_data($db_status, $message)
{
  if ($db_status == 'success') {
    $rows = bc_rb_get_all_row();
    if ($rows) {
      $content = loop_data($rows);
      echo json_encode(array('content' => $content, 'message' => $message, 'type' => 'success'));
      die();
    }
  } else {
    echo json_encode(array('error' => 'Something went wrong, Please try again', 'type' => 'error'));
    die();
  }
}


/**
 * Loop the data based on Banner type (Script or Upload)
 * @param $rows
 * @return string
 */
function loop_data($rows) {
  $content = '';
  foreach ($rows as $row) {
    if ($row->banner_type == 'upload') {
      $content .= '<div class="row single_upload">
<form>
<input type="hidden" name="banner_type" value="' . esc_attr($row->banner_type) . '" />
<input type="hidden" name="banner_id" class="form-control banner_id" value="' . $row->id . '"/>
  <div class="col-md-2">
    <div class="col-md-12 padding_bottom_20">
      <div class="no_image" readonly>
        <img width=120 height=100 src=" ' . $row->file_url . ' ">
      </div>
    </div>
    </div>
    <div class="col-md-8">
    <div class="col-md-6 padding_bottom_10">
      <input readonly type="text" name="file_url_link" class="form-control file_url_link" placeholder="Upload Image" value="' . $row->file_url . '"/>
     </div>
     <div class="col-md-6">
      <input readonly type="text" name="file_description" class="form-control file_description" placeholder="File Description" value="' . $row->file_description . '"/>
      </div>
      <div class="col-md-12 padding_top_10 padding_bottom_10">
      <input readonly type="text" name="external_link" class="bc_rb_external_link form-control" placeholder="External Link" value="' . $row->external_link . '" />
      </div>
      </div>
      <div class="col-md-2">
      <div class="col-md-12">
      <button class="btn btn-primary bc_rb_button_edit">Edit</button>
      </div>
      <div class="col-md-12 padding_top_20">
      <button class="btn btn-danger bc_rb_button_delete_by_id">Delete</button>
      </div>
      </div>
      </form>
      </div>';
    }
    if ($row->banner_type == 'script') {
      $content .= '<div class="row single_upload">
<form>
<input type="hidden" name="banner_type" value="' . esc_attr($row->banner_type) . '" />
<input type="hidden" name="banner_id" class="form-control banner_id" value="' . $row->id . '"/>
<div class="col-md-10">
<textarea readonly name="file_url_link" class="file_url_link_textarea form-control" rows="5" placeholder="Please paste the code here">' . esc_js($row->file_url) . '</textarea>
</div>
<div class="col-md-2">
      <div class="col-md-12">
      <button class="btn btn-primary bc_rb_button_edit">Edit</button>
      </div>
      <div class="col-md-12 padding_top_20">
      <button class="btn btn-danger bc_rb_button_delete_by_id">Delete</button>
      </div>
      </div>
</form>
</div>';
    }
  }

  return $content;
}

/**
 * Check and return Banner Model and type based on give banner type
 * @param $post
 * @return mixed
 */
function bc_rb_check_banner_model_and_type($post){
  $banner = array();
  $banner['type'] = ($post['banner_type'] == 'upload') ? bc_rb_upload_banner_model($post) : bc_rb_script_banner_model($post);
  $banner['option'] = ($post['banner_type'] == 'upload') ? bc_rb_upload_banner_option_model() : bc_rb_script_banner_option_model();

  return $banner;
}


function get_random_banner_option_value(){
  $options = unserialize(get_option('bc_rb_setting_options'));
  return $options;
}

function bc_rb_open_case(){
  $option_value = get_random_banner_option_value();
  if($option_value['open'] == 'checked'){
    return 'target="_blank"';
  }
  return '';
}