<?php

if (!defined('ABSPATH')) {
  die('-1');
}

/**
 * Create or Update, Script or Upload Banner Type
 * @param $post
 */
function bc_rb_create_update_upload_script($post)
{
  if (isset($post['file_url_link']) && isset($post['banner_type'])) {
    $content = array();
    if ($post['banner_type'] == 'upload') {
      $content['file_url_link'] = esc_url($post['file_url_link']);
      $content['file_description'] = isset($post['file_description']) ? esc_attr($post['file_description']) : '';
      $content['external_link'] = isset($post['external_link']) ? esc_url($post['external_link']) : '';
    }

    if ($post['banner_type'] == 'script') {
      $content['file_url_link'] = ($post['file_url_link']);
    }

    $content['banner_id'] = isset($post['banner_id']) ? (int)esc_attr($post['banner_id']) : 'no';
    $content['banner_type'] = esc_attr($post['banner_type']);

    // Add new banner to table
    if ($content['banner_id'] == 'no') {
      $db_status = bc_rb_create($content);
      populate_data($db_status, 'Successfully Added');
    } else { // Update the banner with ID
      $db_status = bc_rb_update($content);
      populate_data($db_status, 'Successfully Updated');
    }
  }
}

/**
 * Delete Upload or Script by ID
 * @param $post
 */
function bc_rb_delete_upload_script($post)
{
  if (isset($_POST['banner_id'])) {
    $content = array();
    $content['banner_id'] = (int)esc_attr($post['banner_id']);
    $verify = bc_rb_delete_by_id($content['banner_id']);
    if ($verify == 'success') {
      echo json_encode(array('message' => 'Successfully Deleted ' . esc_attr($post['file_description']), 'type' => 'success'));
      die();
    } else {
      echo json_encode(array('error' => 'Something went wrong, Please try again', 'type' => 'error'));
      die();
    }
  } else {
    echo json_encode(array('error' => 'No naughty business please', 'type' => 'error'));
    die();
  }
}

/**
 * Save setting options
 */

function bc_rb_save_setting_options($post)
{
  // Setting Default Value to not to brake array_intersect_key
  if (!isset($post['bc_rb_setting_options'])) {
    $post = array('bc_rb_setting_options' => array('open' => ''));
  }
  // Default Values
  $array_key = array('bc_rb_setting_options' => array('open' => ''));

  // Intersect and get only required post value
  $value = array_intersect_key($post['bc_rb_setting_options'], $array_key['bc_rb_setting_options']);

  update_option('bc_rb_setting_options', serialize($value));
  echo 'ok';
  die();
}
