<?php

if ( ! defined( 'ABSPATH' ) ) {
  die( '-1' );
}

/**
 * Return Current Time
 */
function bc_rb_get_current_date($format = 'd-m-Y H:i:s')
{
  return date($format);
}

/**
 * Convert Script to HTML for Script Banner
 * @param $string
 * @return mixed
 */
function bc_rb_convert_to_html($string)
{
  return str_replace('\"', '"', html_entity_decode($string));
}

/**
 * Show Payment Details for Paid user else PayPal Donation button
 * @return string
 */
function bc_rb_show_payment_details()
{
  if(! bc_rb_is_paid()){
    return '<div class="paypal_donation_button"><img width="150px" height="100px" src="'.plugins_url("/assets/images/paypal.png",BC_RB_PLUGIN).'" alt="Buffercode PayPal Donation Button"/></div>';
  }
  return '';
}

/**
 * Check is User did PayPal Donation
 * @return bool
 */
function bc_rb_is_paid()
{
  $paid_status = get_option('bc_rb_payment_info');
  if ($paid_status == 'no' || strlen($paid_status) == 8) {
    return false;
  }
  return true;
}

/**
 * get user display name
 * @return string
 */
function bc_rb_get_user_display_name (){
  global $current_user;
  return $current_user->display_name;
}

/**
 * loader to show on processing request
 * @return string
 */
function bc_rb_loader(){
  return '<div id="preview-area">
        <div class="spinner_circle hide">
            <div class="double-bounce1"></div>
            <div class="double-bounce2"></div>
        </div>
    </div>';
}

/**
 * Echo Transaction Details on Success
 * @param $request
 */
function bc_rb_on_success_payment($request){
  if (isset($request['success']) && isset($request['tid'])) {
    update_option('bc_rb_payment_info', $request['tid']);
    echo '<div class="alert alert-success">
  <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
  <strong>Success!</strong> Thanks for your Donation. Your Transaction ID : ' . $request['tid'] . '
</div>';
  } else if (isset($request['success'])) {
    echo '<div class="alert alert-danger">
      <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
      <strong>Cancelled!</strong> Oh! You have cancelled the Transaction
    </div>';
  }
}

function bc_rb_key_compare_func($key1, $key2)
{
  if ($key1 == $key2)
    return 0;
  else if ($key1 > $key2)
    return 1;
  else
    return -1;
}