<?php

if ( ! defined( 'ABSPATH' ) ) {
  die( '-1' );
}

/**
 * Create new banner
 * @param $post
 * @return string [success / failure]
 */
function bc_rb_create($post)
{
  global $wpdb;

  $table = $wpdb->prefix . 'bc_random_banner';

// Collect Upload Banner Details
  $banner = bc_rb_check_banner_model_and_type($post);

  $verify = $wpdb->insert(
      $table,
      $banner['type'],
      $banner['option']
  );

  if ($verify) return 'success';

  return 'failed';

}

/**
 * Update banner
 * @param $post
 * @return string
 */
function bc_rb_update($post){
  global $wpdb;
  $table = $wpdb->prefix . 'bc_random_banner';
  $banner = bc_rb_check_banner_model_and_type($post);
  $verify = $wpdb->update(
      $table,
      $banner['type'],
      array( 'id' => $post['banner_id'] ),
      $banner['option'],
      array( '%d' )
  );

  if ($verify) return 'success';
  return 'failed';

}

/**
 * Get all row
 * Get all row
 * @return array|null|object|void
 */
function bc_rb_get_all_row()
{
  global $wpdb;
  $table = $wpdb->prefix . 'bc_random_banner';
  $all_row = $wpdb->get_results("SELECT * FROM $table ORDER BY id DESC");
  return $all_row;
}

/**
 * Get one row by random selection
 * @return mixed
 */
function bc_rb_get_one_row_random(){
  global $wpdb;
  $table = $wpdb->prefix . 'bc_random_banner';
  $all_row = $wpdb->get_results("SELECT * FROM $table ORDER BY RAND()");
  return $all_row[0];
}

/**
 * Delete banner by ID
 * @param $id
 * @return string
 */
function bc_rb_delete_by_id($id){
  global $wpdb;
  $table = $wpdb->prefix . 'bc_random_banner';
  $verify = $wpdb->delete( $table, array( 'id' => $id ), array( '%d' ) );
  if($verify) return 'success';
  return 'failed';
}

/**
 * Remind me later for PayPal Popup
 */
function bc_rb_remind_later(){
  $one_week = date("Ymd", strtotime("+2 days"));
  update_option('bc_rb_payment_info',$one_week);
  echo 'yes';
}
