<?php
add_action('admin_menu', 'bc_random_banner');

/**
 * Menu and Sub Menu
 */
function bc_random_banner()
{
  add_menu_page(
      __('Random Banner', 'bc_rb'),
      'Random Banner',
      'manage_options',
      'bc_random_banner',
      'bc_random_banner_settings',
      ''
  );

  add_submenu_page('bc_random_banner', __('Settings', 'bc_rb'), 'Settings',
      'manage_options', 'bc_random_banner_option', 'bc_random_banner_option');

  add_submenu_page('bc_random_banner', __('Support', 'bc_rb'), 'Support',
      'manage_options', 'bc_random_banner_support', 'bc_random_banner_support');
}

/**
 * Main Menu Random Banner
 */
function bc_random_banner_settings()
{
  $get_all_data = bc_rb_get_all_row();
  echo '<div class="container bc_random_banner" data-display_name="' . bc_rb_get_user_display_name() . '">
<div class="pull-right">' . bc_rb_show_payment_details() . '</div>
  <h1>
  <span>Random Banner</span>
  <div class="btn-group">
            <button type="button" data-toggle="dropdown" class="btn btn-primary dropdown-toggle">Add New Ads <span class="caret"></span></button>
            <ul class="dropdown-menu">
                <li class="add_new_upload" data-item="add_new_upload"><a href="#"><span class="glyphicon glyphicon-picture"></span> Image Banner</a></li>
                <li class="add_new_script" data-item="add_new_script"><a href="#"><span class="glyphicon glyphicon-align-left"></span> Script Banner</a></li>
            </ul>
        </div>
</h1>

' . bc_rb_loader();
  if (isset($_REQUEST['success'])) echo bc_rb_on_success_payment($_REQUEST);
  echo '<div class="upload_area col-md-10" data-url="' . admin_url('admin-ajax.php?action=bc_rb_save_banner&nonce=' . wp_create_nonce("bc_rb_nonce")) . '" data-delete="' . admin_url('admin-ajax.php?action=bc_rb_delete_banner&nonce=' . wp_create_nonce("bc_rb_nonce_delete")) . '" data-payment_info="' . get_option('bc_rb_payment_info') . '" data-donation_later="' . admin_url('admin-ajax.php?action=bc_rb_donation_later&nonce=' . wp_create_nonce("bc_rb_donation_later")) . '">';

  echo loop_data($get_all_data);

  echo '</div>';
  echo '<div class="col-md-2"><div class="offers_list"> ' . bc_rb_get_offers() . '</div></div>';


  echo '</div>';

}

/**
 * Sub Menu Support
 */
function bc_random_banner_support()
{
  echo '<div class="container bc_random_banner" data-display_name="' . bc_rb_get_user_display_name() . '">
' . bc_rb_loader();
  echo '<div class="row">';
  echo '<h2>Random Banner Support</h2>';
  if (isset($_REQUEST['success'])) echo bc_rb_on_success_payment($_REQUEST);
  if (bc_rb_is_paid()) {
    echo '<div class="col-md-12 bc_rb_transaction_details">
<div class="col-md-5 bg-primary"><h4>PayPal Transaction ID</h4></div><div class="col-md-5 bg-primary"><h4>' . get_option('bc_rb_payment_info') . '</h4></div>
</div>';
  } else {
    echo '<div class="col-md-12 bc_rb_transaction_details">
<p>Sorry you are not subscribed for any plan</p>
' . bc_rb_show_payment_details() . '
</div>';
  }
  echo '<div class="col-md-12 bc_rb_transaction_details"><h4>Kindly rate our plugin in <a href="https://wordpress.org/support/view/plugin-reviews/random-banner?rate=5#postform">WordPress</a></h4> </div> <div class="col-md-12 bc_rb_support_details"> <h4>Please use this page for support - <a href="http://buffercode.com/project/random-banner/">Random Banner Support</a> </h4></div></div> </div>';
}

/**
 * Settings
 */

function bc_random_banner_option()
{
  $options = get_random_banner_option_value();
  echo '<div class="container bc_random_banner">
<h2>Random Banner Settings</h2>
<div class="row bc_rb_options">
<form data-save="' . admin_url('admin-ajax.php?action=bc_rb_save_options&nonce=' . wp_create_nonce("bc_rb_save_options")).'">';
  echo '<div class="row"> <div class="col-md-3">Open in New Window</div><div class="col-md-3"><input '.$options['open'].' type="checkbox" name="bc_rb_setting_options[open]" value="checked" /></div></div>';
  echo '<div class="row"><div class="col-md-3"><button type="submit" name="bc_rb_option_save" class="btn btn-primary bc_rb_option_save">Save</button> </div></div>';
  echo '</form></div></div>';

}
