<?php


class random_banner_widget extends WP_Widget {

  function __construct() {
    parent::__construct(
        'random_banner_widget',
        __( 'Random Banner', 'bc_rb' ),
        array( 'description' => __( 'Simple way to create a beautiful Random Banner', 'bc_rb' ), )
    );
  }

  public function widget( $args, $instance ) {
    echo $args['before_widget'];
    if ( ! empty( $instance['title'] ) ) {
      echo $args['before_title'] . apply_filters( 'bc_rb_title', $instance['title'] ). $args['after_title'];
    }
    $widget = bc_rb_get_one_row_random();

    if($widget->banner_type == 'script'){
      echo '<div class="bc_random_banner">'.bc_rb_convert_to_html($widget->file_url).'<div>';
    }
    if($widget->banner_type == 'upload'){
      echo '<div class="bc_random_banner"><a '.bc_rb_open_case().' href="'.$widget->external_link.'" title="'.$widget->file_description.'"><img src="'.$widget->file_url.'" data-id="'.$widget->id.'" title="'.$widget->file_description.'"/></a><div>';
    }

    echo $args['after_widget'];
  }


  public function form( $instance ) {
    $title = ! empty( $instance['title'] ) ? $instance['title'] : '';
    ?>
    <p>
      <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label>
      <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
    </p>
    <?php
  }

  public function update( $new_instance, $old_instance ) {
    $instance = array();
    $instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';

    return $instance;
  }
}

function bc_random_banner_widget(){
  register_widget( 'random_banner_widget' );
}
add_action( 'widgets_init','bc_random_banner_widget');
